package com.atmob.keyboard_android.component.base.interceptor

import com.atmob.keyboard_android.component.base.IUIComponent

/**
 * 路由跳转回调
 */
interface RouteCallback {
    /**
     * 路由跳转成功
     */
    fun onFound(targetComponent: IUIComponent)

    /**
     * 路由跳转被拦截了
     */
    fun onInterrupt(targetComponent: IUIComponent, error: Throwable)

    /**
     * 路由跳转失败
     */
    fun onLost()
}